Package org.apache.sling.testing.clients.util

# Class URLParameterBuilder

java.lang.Object
org.apache.sling.testing.clients.util.URLParameterBuilder

public class URLParameterBuilder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ENCODING`

## Method Summary

Modifier and Type
Method
Description
`URLParameterBuilder`
`add(String name, String value)`
`URLParameterBuilder`
`add(String name, String[] values)`
`URLParameterBuilder`
`add(List<org.apache.http.NameValuePair> list)`
`URLParameterBuilder`
`add(org.apache.http.NameValuePair pair)`
`static URLParameterBuilder`
`create()`
`List<org.apache.http.NameValuePair>`
`getList()`
`String`
`getURLParameters()`
Build the URL parameters
`URLParameterBuilder`
`setEncoding(String encoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_ENCODING

public static final String DEFAULT_ENCODING

See Also:
  - Constant Field Values

## Method Details

### create

public static URLParameterBuilder create()

### add

public URLParameterBuilder add(String name, String value)

### add

public URLParameterBuilder add(org.apache.http.NameValuePair pair)

### add

public URLParameterBuilder add(List<org.apache.http.NameValuePair> list)

### add

public URLParameterBuilder add(String name, String[] values)

### setEncoding

public URLParameterBuilder setEncoding(String encoding)

### getURLParameters

public String getURLParameters()
Build the URL parameters

Returns:
  The URL parameters string without the leading question mark.

### getList

public List<org.apache.http.NameValuePair> getList()